package com.ruoyi.system.service;

import com.ruoyi.system.domain.SocketContact;
import com.ruoyi.system.domain.vo.SocketContactVo;
import com.ruoyi.system.domain.bo.SocketContactBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 通信目录Service接口
 *
 * @author hdka
 * @date 2024-10-21
 */
public interface ISocketContactService {

    /**
     * 查询通信目录
     */
    SocketContactVo queryById(Long id);

    /**
     * 查询通信目录列表
     */
    TableDataInfo<SocketContactVo> queryPageList(SocketContactBo bo, PageQuery pageQuery);

    /**
     * 查询通信目录列表
     */
    List<SocketContactVo> queryList(SocketContactBo bo);

    /**
     * 新增通信目录
     */
    Boolean insertByBo(SocketContactBo bo);

    /**
     * 新增通信群聊目录
     */
    Boolean insertByBoAndRoom(SocketContactBo bo);

    /**
     * 修改通信目录
     */
    Boolean updateByBo(SocketContactBo bo);

    /**
     * 校验并批量删除通信目录信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
